Debian Bug report logs - #122533
Euro trouble

version graph

Package: konsole; Maintainer for konsole is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for konsole is src:konsole.

Reported by: Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>

Date: Wed, 5 Dec 2001 15:03:02 UTC

Severity: important

Found in versions 2.2.2-6, 2.2.4-7

Done: Daniel Stone <daniel@sfarc.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>:
New Bug report received and forwarded. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>
To: submit@bugs.debian.org
Subject: Euro trouble
Date: Wed, 5 Dec 2001 15:50:13 +0100
Package: konsole
Version: 2.2.2-6
Severity: important

konsole doesn't show fonts with encodings other than iso8859-1 or utf-8. It
is possible to get proper iso8859-15 (hint: there's the € (EURO) symbol in)
fonts by just adding a 5 after iso8859-1 and pressing ok. It now halfways
works: it shows the Euro symbol. But you're still not able to input an Euro
symbol, as it isn't in iso8859-1 and thus just replaced by a question mark.
The same is true for the accented s and z symbols.  It's not the X server's
fault, as it works fine in an XTerm (with the right font).

The big problem seems to be that all preferences for fonts have an encoding
field, ie a key "font" and "fontencoding", except the font for konsole...

I set the severity to important as there are only 4 weeks till the Euro
comes and European user will badly need this fixed.



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #10 received at 122533@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>, 122533@bugs.debian.org
Subject: Re: Bug#122533: Euro trouble
Date: Wed, 5 Dec 2001 09:19:08 -0700
On Wed, Dec 05, 2001 at 03:50:13PM +0100, Rüdiger Kuhlmann wrote:
> 
> Package: konsole
> Version: 2.2.2-6
> Severity: important
> 
> konsole doesn't show fonts with encodings other than iso8859-1 or utf-8. It
> is possible to get proper iso8859-15 (hint: there's the ? (EURO) symbol in)
> fonts by just adding a 5 after iso8859-1 and pressing ok. It now halfways
> works: it shows the Euro symbol. But you're still not able to input an Euro
> symbol, as it isn't in iso8859-1 and thus just replaced by a question mark.
> The same is true for the accented s and z symbols.  It's not the X server's
> fault, as it works fine in an XTerm (with the right font).
> 
> The big problem seems to be that all preferences for fonts have an encoding
> field, ie a key "font" and "fontencoding", except the font for konsole...
> 
> I set the severity to important as there are only 4 weeks till the Euro
> comes and European user will badly need this fixed.
---end quoted text---

and European users will end up without KDE in woody if it's not fixed.

-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to James Troup <james@nocrew.org>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #15 received at 122533@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: "Ivan E. Moore II" <rkrusty@tdyc.com>
Cc: 122533@bugs.debian.org, Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>
Subject: Re: Bug#122533: Euro trouble
Date: 05 Dec 2001 16:46:03 +0000
"Ivan E. Moore II" <rkrusty@tdyc.com> writes:

> > Severity: important
>
> and European users will end up without KDE in woody if it's not fixed.

'important' is not RC (that's 'serious')...

-- 
James



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #20 received at 122533@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: James Troup <james@nocrew.org>
Cc: 122533@bugs.debian.org, Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>
Subject: Re: Bug#122533: Euro trouble
Date: Wed, 5 Dec 2001 09:48:50 -0700
On Wed, Dec 05, 2001 at 04:46:03PM +0000, James Troup wrote:
> "Ivan E. Moore II" <rkrusty@tdyc.com> writes:
> 
> > > Severity: important
> >
> > and European users will end up without KDE in woody if it's not fixed.
> 
> 'important' is not RC (that's 'serious')...
> 

ahhh..ok...  I'll lay down my crack pipe then.

Ivan

-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #25 received at 122533@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>, 122533@bugs.debian.org
Subject: Re: Bug#122533: Euro trouble
Date: Wed, 5 Dec 2001 13:59:51 -0700
On Wed, Dec 05, 2001 at 03:50:13PM +0100, Rüdiger Kuhlmann wrote:
> 
> Package: konsole
> Version: 2.2.2-6
> Severity: important
> 
> konsole doesn't show fonts with encodings other than iso8859-1 or utf-8. It
> is possible to get proper iso8859-15 (hint: there's the ? (EURO) symbol in)
> fonts by just adding a 5 after iso8859-1 and pressing ok. It now halfways
> works: it shows the Euro symbol. But you're still not able to input an Euro
> symbol, as it isn't in iso8859-1 and thus just replaced by a question mark.
> The same is true for the accented s and z symbols.  It's not the X server's
> fault, as it works fine in an XTerm (with the right font).
> 
> The big problem seems to be that all preferences for fonts have an encoding
> field, ie a key "font" and "fontencoding", except the font for konsole...
> 
> I set the severity to important as there are only 4 weeks till the Euro
> comes and European user will badly need this fixed.

according to users on the debian-kde lists:

>If you set your LANG=de_DE.ISO-8859-15 int /etc/environment and set
>the font of konsole to "user defined -> iso8859-15" you'll get the euro
>sign.

Ivan


-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to "Ivan E. Moore II" <rkrusty@tdyc.com>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #30 received at 122533@bugs.debian.org (full text, mbox):

From: "Ivan E. Moore II" <rkrusty@tdyc.com>
To: 122533@bugs.debian.org
Subject: [ach@mpe.mpg.de: Re: euro and konsole]
Date: Wed, 5 Dec 2001 14:53:55 -0700
[Message part 1 (text/plain, inline)]
-- 
----------------
Ivan E. Moore II
rkrusty@tdyc.com
http://snowcrash.tdyc.com
GPG KeyID=90BCE0DD
GPG Fingerprint=F2FC 69FD 0DA0 4FB8 225E 27B6 7645 8141 90BC E0DD
[Message part 2 (message/rfc822, inline)]
From: Achim Bohnet <ach@mpe.mpg.de>
To: debian-kde@lists.debian.org
Subject: Re: euro and konsole
Date: Wed, 5 Dec 2001 22:13:21 +0100
On Wednesday 05 December 2001 20:45, Magnus von Koeller wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> On Wednesday 05 December 2001 17:21, Ivan E. Moore II wrote:
> > is this working or no?
> 
> Not for me. It does work in all other KDE apps but only by 
> hand-editing /etc/X11/xkb/symbols/de, putting 'currency' instead of 
> 'EuroSign' in there for AltGr+E but then it doesn't work in GTK apps. 
> And in Konsole, it doesn't work at all (nothing happens when I press 
> AltGr+E).

Trust me.  Konsole can output euro symbol.

First check with xev if ALT gr really gives an Euro Event from
the Xserver

Check that you configured the right font:

	perl -le 'print chr(0xe4),chr(0244)'

This will output &auml; and &euro; for latin 9 but &auml and
&currency; for iso latin 1.

If you see other chars check LANG and LC_* settings.

Maybe bash eats the 8 bit.  Put this into ~/.inputrc

set input-meta on
set output-meta on
set convert-meta off

and exec bash (without these settings I was never able to write any 8bit char.)

Off hand I can't thing or other pit falls.  Let us know if with this hints
you can look at beautiful euro in konsole ;)

Achim
> 
> - -- 
> - -M
> 
> - -------  Magnus von Koeller  <magnus@vonkoeller.de> ------
>  Georg-Westermann-Allee 76 / 38104 Braunschweig / Germany
>    Phone: +49-(0)531/2094886 Mobile: +49-(0)179/4562940
> 
>  lp1 on fire (One of the more obfuscated kernel messages)
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.0.6 (GNU/Linux)
> Comment: For info see http://www.gnupg.org
> 
> iD8DBQE8DnlZUIvM6e6BgFARAuwzAKDAu2rFzoOVaKaIh6KpdDcccuzaIACgmUtd
> 8vPmUJNcIU7Il29rbgjBoRc=
> =YOgU
> -----END PGP SIGNATURE-----
> 
> 
> --
> To UNSUBSCRIBE, email to debian-kde-request@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> 
> 
> 

-- 
  To me vi is Zen.  To use vi is to practice zen. Every command is
  a koan. Profound to the user, unintelligible to the uninitiated.
  You discover truth everytime you use it.
                                      -- reddy@lion.austin.ibm.com


-- 
To UNSUBSCRIBE, email to debian-kde-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org

Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Kuhlmann <replyto-NoD5ZA=dTbPn@ruediger-kuhlmann.de>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #35 received at 122533@bugs.debian.org (full text, mbox):

From: Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
To: "Ivan E. Moore II" <rkrusty@tdyc.com>
Cc: 122533@bugs.debian.org
Subject: Re: Bug#122533: Euro trouble
Date: Wed, 5 Dec 2001 23:37:43 +0100
>--[Ivan E. Moore II]--<rkrusty@tdyc.com>

> > konsole doesn't show fonts with encodings other than iso8859-1 or utf-8. It
> > is possible to get proper iso8859-15 (hint: there's the ? (EURO) symbol in)
> > fonts by just adding a 5 after iso8859-1 and pressing ok. It now halfways
> | If you set your LANG=de_DE.ISO-8859-15 int /etc/environment and set
> | the font of konsole to "user defined -> iso8859-15" you'll get the euro

> > works: it shows the Euro symbol. But you're still not able to input an Euro
              ^^^^^                                               ^^^^^
> > symbol, as it isn't in iso8859-1 and thus just replaced by a question mark.
> > The same is true for the accented s and z symbols.  It's not the X server's
> > fault, as it works fine in an XTerm (with the right font).

Sorry, but outputting it is _not_ the problem - that works fine. _Inputting_
is the problem. Pressing AltGr-e yields a question mark. It _inputs_ a
question mark, as can be checked by od -tx. Copy&Pasting an € works as well.
I can also change the .keytab by adding

| key E +Alt : "\xa4"

so that Alt-e yields an €. The AltGr-e is still eaten by konsole. The same
problem is with ^s ^S ^z ^Z, which where added in iso-8859-15 as well.
(And now that I finally got rid of those dead keys by disabling KDE keymap
selection since it doesn't have the nodeadkeys option, why isn't there
a key combination for dead keys somewhere hidden at the same positions on
_all_ keymaps?)

>--[Achim Bohnet]--<ach@mpe.mpg.de>

> set input-meta on
> set output-meta on
> set convert-meta off

.de is German. Trust me, I use 8bit chars since I bought this computer. And
I said it works fine in an XTerm.



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #40 received at 122533@bugs.debian.org (full text, mbox):

From: Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>
To: Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
Cc: 122533@bugs.debian.org
Subject: Re: Bug#122533: Euro trouble
Date: Thu, 6 Dec 2001 01:42:06 +0100
Am Mittwoch, 5. Dezember 2001 23:37 schrieb Rüdiger Kuhlmann:
> .de is German. Trust me, I use 8bit chars since I bought this computer. And
> I said it works fine in an XTerm.

That was already discussed in debian-kde mailing list:
edit /etc/X11/xkb/symbols/de and change "EuroSign" to "currency"
or input the euro sign by pressing AltGR-Shift-4 when iso-8859-15 or unicode 
is the selected font.
There seems to be a problem with EuroSign definition for the de symbol map.
My guess is, that it's the X-Servers fault because not even a blank xterm as 
session will input EuroSign but only currency (which is the euro sign in -15).
The whole threads can be found in the debian-kde ml archive at debian.org.

HS

-- 
Mein GPG-Key ist auf meiner Homepage verfügbar: http://www.hendrik-sattler.de
        oder über pgp.net

PingoS - Linux-User helfen Schulen: http://www.pingos.schulnetz.org



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Kuhlmann <replyto-pE1h8KOaKlin@ruediger-kuhlmann.de>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #45 received at 122533@bugs.debian.org (full text, mbox):

From: Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>
To: Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>
Cc: 122533@bugs.debian.org
Subject: Re: Bug#122533: Euro trouble
Date: Thu, 6 Dec 2001 01:56:06 +0100
>--[Hendrik Sattler]--<ubq7@rz.uni-karlsruhe.de>
> Am Mittwoch, 5. Dezember 2001 23:37 schrieb Rüdiger Kuhlmann:

> > .de is German. Trust me, I use 8bit chars since I bought this computer. And
> > I said it works fine in an XTerm.

> edit /etc/X11/xkb/symbols/de and change "EuroSign" to "currency"
> or input the euro sign by pressing AltGR-Shift-4 when iso-8859-15 or unicode 

I added an entry for AltGr-Shift-e to be currency instead of EuroSign. There
is no difference in the result: It works in a plain XTerm, but not in
konsole. Even in Gabber after changing the font. Actually it seems not to
work in any KDE program...

This is all I did to get to where I am:

  * set charset to iso-8859-15, language to de, country to de
    in ControlCenter/Personalization/Country&Language
  * change to a iso-8859-15 font in all programs I stumble across, in particular
    konsole, licq and ControlCenter/.*/fonts
  * add LANG=de_DE and LC_ALL=de_DE to /etc/environment (and make sure it is
    sourced)
  * added proper charset and send_charset option to mutt
  * add font = "-adobe-helvetica-medium-r-normal--17-120-100-100-p-88-iso8859-15"
    to .gtkrc
  * add "Xterm.font: -misc-fixed-medium-r-normal-*-*-120-*-*-c-*-iso8859-15"
    to .Xresource

=> Works in XTerm, Gabber, but not in konsole, licq and konqueror.

> There seems to be a problem with EuroSign definition for the de symbol map.
> My guess is, that it's the X-Servers fault because not even a blank xterm as 
> session will input EuroSign but only currency (which is the euro sign in -15).

BS.

PS. I found the compose key in the mean time (the right windows key)



Information forwarded to debian-bugs-dist@lists.debian.org, rkrusty@debian.org (Ivan E. Moore II):
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>:
Extra info received and forwarded to list. Copy sent to rkrusty@debian.org (Ivan E. Moore II). Full text and rfc822 format available.

Message #50 received at 122533@bugs.debian.org (full text, mbox):

From: Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>
To: Hendrik Sattler <ubq7@rz.uni-karlsruhe.de>
Cc: Rüdiger Kuhlmann <info@ruediger-kuhlmann.de>, 122533@bugs.debian.org
Subject: Re: euro and konsole - SOLVED!?!
Date: Thu, 6 Dec 2001 01:57:28 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

just tried
/etc/environment:
LANG=de_DE@euro.ISO8859-15
LC_ALL=de_DE@euro
LANGUAGE=de_DE@euro
LC_CTYPE=de_DE@euro

/etc/locale.gen:
en_US ISO-8859-1
de_DE ISO-8859-15
de_DE@euro ISO-8859-15
de_DE.UTF-t UTF-8

Note the difference to ISO-8859-15. With the above, EuroSign is accepted at 
input without a problem. No need for the currency hack anymore :-D
KDM cannot handle it, though.

Strange world, this is. Even in xterm the € is displayed correctly at once.

Have fun being €-ready ;-)

Hendrik

PS: I still consider this behaviour as an X-server bug :-|

- -- 
Mein GPG-Key ist auf meiner Homepage verfügbar: http://www.hendrik-sattler.de
        oder über pgp.net

PingoS - Linux-User helfen Schulen: http://www.pingos.schulnetz.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8DsJ6zvr6q9zCwcERApePAJ4miimCLj+SVPwM484aJ5sTs+64twCfWp+H
V2ST9UBxrvEW7p9jta/jvyg=
=5r6k
-----END PGP SIGNATURE-----



Reply sent to Daniel Stone <daniel@sfarc.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rüdiger Kuhlmann <debian-bugs-xD=ommxSqJLr=spam@ruediger-kuhlmann.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #55 received at 122533-done@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniel@sfarc.net>
To: 122533-done@bugs.debian.org
Subject: not our problem
Date: Tue, 8 Jan 2002 22:55:39 +1100
[Message part 1 (text/plain, inline)]
As the bug log shows, this was a user configuration problem, not
Konsole's problem. *shrug*.

-d

-- 
Daniel Stone						    <daniel@sfarc.net>
<Alias> Wait, I have something for you all
<Alias> Romeo and Juliet in 1337!
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Stone <daniel@sfarc.net>, kdebase@packages.qa.debian.org:
Bug#122533; Package konsole. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Kuhlmann <debian-bugs-nJZqukLZRzqs=spam@ruediger-kuhlmann.de>:
Extra info received and forwarded to list. Copy sent to Daniel Stone <daniel@sfarc.net>, kdebase@packages.qa.debian.org. Full text and rfc822 format available.

Message #60 received at 122533@bugs.debian.org (full text, mbox):

From: Rüdiger Kuhlmann <debian-bugs-nJZqukLZRzqs=spam@ruediger-kuhlmann.de>
To: submit@bugs.debian.org
Cc: 122533@bugs.debian.org, daniel@sfarc.net
Subject: €uro, revisited
Date: Mon, 21 Jan 2002 15:30:20 +0100
Package: locales
Version: 2.2.4-7
Severity: important

I'm setting the severity to important because the €uro is already used since
three weeks in Europe.

When letting debconf handle /etc/environment and selecting "de_DE@euro
ISO-8859-1" for $LANG, it adds "LANG=de_DE@euro" to /etc/environment, while,
as long as bug #122533, which some absolutely clueless îðîôt closed, when
the following workaround was mentioned, letting it's severtiy drop from
important to normal, is not fixed, "LANG_de_DE.ISO8859-15" would be
"correct".



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:40:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.